%global commit 6eb83814f54e29035edf71540a7c53144b1bc84c
%global snapdate 20231210

Name:           parsertl14
Summary:        The Modular Parser Generator
Version:        0^%{snapdate}git%(c='%{commit}'; echo "${c:0:7}")
Release:    1%{?dist}

License:        BSL-1.0
URL:            https://github.com/BenHanson/parsertl14
Source0:         %{url}/archive/%{commit}/parsertl14-%{commit}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  dos2unix

BuildRequires:  lexertl14-devel
BuildRequires:  lexertl14-static

%global debug_package %{nil}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package devel
Summary:        %{summary}

BuildArch:      noarch

Provides:       parsertl14-static = %{version}-%{release}

Requires:       lexertl14-devel

%description devel %{common_description}


%prep
%autosetup -n parsertl14-%{commit} -p1

find . -type f -exec file '{}' '+' |
  grep -E '\bCRLF\b' |
  cut -d ':' -f 1 |
  xargs -r dos2unix --keepdate




%install
install -d '%{buildroot}%{_includedir}'
cp -rvp include/parsertl '%{buildroot}%{_includedir}/'


%check
%set_build_flags
${CXX-g++} -I"${PWD}/include" ${CPPFLAGS} ${CXXFLAGS} -o include_test ${LDFLAGS} \
    tests/include_test/*.cpp


%files devel
%license include/parsertl/licence_1_0.txt
%doc README.md

%{_includedir}/parsertl/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0^20231210git6eb8381-1
- initial build
